<?php
/*
Plugin Name: Disable Revisions and Autosave WP2.7 and above
Version: 0.1
Plugin URI: http://www.zontheworld.com/blog/archives/65
Description: Disable the Revisions and Autosave functions. WP2.7 and above.
Author: zon
Author URI: http://www.zontheworld.com/blog/
*/

define('WP_POST_REVISIONS', false);
function disable_autosave_script() {
    wp_deregister_script('autosave');
}
function disable_autosave_check_admin_referer($action, $result) {
    if ($action == 'autosave') {
        $post_ID = (int) $_POST['post_ID'];
        if ($post_ID < 1)
            wp_die( __('Preview not available. Please save as a draft first.') );

        $_POST['ID'] = $post_ID;
        $post = get_post($post_ID);

        if ('draft' != $post->post_status) {
            $url = get_permalink((int)$_POST['post_ID']);
            wp_redirect($url);
            exit();
        }
    }

    return $result;
}
add_action('wp_print_scripts', 'disable_autosave_script');
add_action('check_admin_referer', 'disable_autosave_check_admin_referer', 10, 2);
